An error kinda message

I am seeing this message:
Pouring gdal-2.4.2_3.catalina.bottle.tar.gz
Warning: gdal dependency gcc was built with a different C++ standard

library (libstdc++ from clang). This may cause problems at runtime.
And based on a suggestion, I tried

import gdal

Traceback (most recent call last):

File “”, line 1, in

ModuleNotFoundError: No module named ‘gdal’

So is the runtime error that is mentioned above?

I am trying to get the USGS data on Ortho4xp to work.

however other Gdal commands?? do appear to work in a fashion:
% gdal-config --version
2.4.2